/*

  Digital Light Intensity Sensor Module GY-302

  Parts required:
  - Arduino Board
  - Digital Light Intensity Sensor Module GY-302

  Libraries required:
  - BH1750FVI

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 12 Feb 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include <BH1750FVI.h>                                    // include library BH1750FVI

BH1750FVI LightSensor(BH1750FVI::k_DevModeContLowRes);    // create object from BH1750FVI

void setup() 
{
  Serial.begin(9600);                                     // start Serial communication
  LightSensor.begin();                                    // start LightSensor functions
}

void loop()
{
  uint16_t lux = LightSensor.GetLightIntensity();         // read value from LightSensor
  Serial.print("Light: ");                                // print text to Serial Monitor
  Serial.println(lux);                                    // print value of LightSensor to Serial Monitor
  delay(250);                                             // wait 250ms
}
